Skip to main content
GET
/
websocket-servers
/
{websocketServer}
/
applications
List WebSocket applications
curl --request GET \
  --url https://cloud.laravel.com/api/websocket-servers/{websocketServer}/applications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "websocketApplications",
      "attributes": {
        "name": "<string>",
        "app_id": "<string>",
        "allowed_origins": [
          "<unknown>"
        ],
        "ping_interval": 123,
        "activity_timeout": 123,
        "max_message_size": 123,
        "max_connections": 123,
        "key": "<string>",
        "secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "server": {
          "data": {
            "type": "websocketServers",
            "id": "<string>"
          }
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "<string>",
      "type": "websocketServers",
      "attributes": {
        "name": "<string>",
        "type": "reverb",
        "region": "us-east-2",
        "status": "creating",
        "max_connections": 100,
        "connection_distribution_strategy": "evenly",
        "hostname": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "applications": {
          "data": [
            {
              "type": "websocketApplications",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

websocketServer
string
required

The websocket server identifier

Query Parameters

include
string

Available includes are server. You can include multiple options by separating them with a comma.

Response

Paginated set of WebsocketApplicationResource

data
WebsocketApplicationResource · object[]
required
meta
object
required
included
WebsocketServerResource · object[]